<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__lpcomp__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_lpcomp_config_t</compoundname>
    <includes local="no">cy_lpcomp.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__lpcomp__config__t_1a480331bf074a8da85d644604ccbd4be1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__lpcomp__enums_1gabdb04cbeeda3390491f1927ec54754d9">cy_en_lpcomp_out_t</ref></type>
        <definition>cy_en_lpcomp_out_t cy_stc_lpcomp_config_t::outputMode</definition>
        <argsstring />
        <name>outputMode</name>
        <briefdescription>
<para>The LPCOMP's outputMode: Direct output, Synchronized output or Pulse output. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="373" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="373" />
      </memberdef>
      <memberdef id="structcy__stc__lpcomp__config__t_1ad43e4f40af6d78d02b8c0a277cb10f96" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__lpcomp__enums_1gada8e5d16a9fcb0b9cbad23449cdf51ab">cy_en_lpcomp_hyst_t</ref></type>
        <definition>cy_en_lpcomp_hyst_t cy_stc_lpcomp_config_t::hysteresis</definition>
        <argsstring />
        <name>hysteresis</name>
        <briefdescription>
<para>Enables or disables the LPCOMP's hysteresis. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="375" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="375" />
      </memberdef>
      <memberdef id="structcy__stc__lpcomp__config__t_1a88d9af26c01c9a718c3ba06d0b28d064" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__lpcomp__enums_1ga807c85d836c327c00a8a5ee52d6a93e6">cy_en_lpcomp_pwr_t</ref></type>
        <definition>cy_en_lpcomp_pwr_t cy_stc_lpcomp_config_t::power</definition>
        <argsstring />
        <name>power</name>
        <briefdescription>
<para>Sets the LPCOMP power mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="376" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="376" />
      </memberdef>
      <memberdef id="structcy__stc__lpcomp__config__t_1a82f018ec13c63e0cdba228f3de6463dc" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__lpcomp__enums_1gab12edb4e44ead54254de2168b92b4213">cy_en_lpcomp_int_t</ref></type>
        <definition>cy_en_lpcomp_int_t cy_stc_lpcomp_config_t::intType</definition>
        <argsstring />
        <name>intType</name>
        <briefdescription>
<para>Sets the LPCOMP interrupt mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="377" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="377" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The LPCOMP configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="378" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="372" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="372" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__lpcomp__config__t_1ad43e4f40af6d78d02b8c0a277cb10f96" virt="non-virtual"><scope>cy_stc_lpcomp_config_t</scope><name>hysteresis</name></member>
      <member prot="public" refid="structcy__stc__lpcomp__config__t_1a82f018ec13c63e0cdba228f3de6463dc" virt="non-virtual"><scope>cy_stc_lpcomp_config_t</scope><name>intType</name></member>
      <member prot="public" refid="structcy__stc__lpcomp__config__t_1a480331bf074a8da85d644604ccbd4be1" virt="non-virtual"><scope>cy_stc_lpcomp_config_t</scope><name>outputMode</name></member>
      <member prot="public" refid="structcy__stc__lpcomp__config__t_1a88d9af26c01c9a718c3ba06d0b28d064" virt="non-virtual"><scope>cy_stc_lpcomp_config_t</scope><name>power</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>